DDANRM(3)

SYNOPSIS
DOUBLE PRECISION FUNCTION DDANRM (NEQ, V, WT, RPAR, IPAR)

NAME
ddanrm - Compute vector norm for DDASSL.

LIBRARY
SLATEC (DASSL)

TYPE
DOUBLE PRECISION (SDANRM-S, DDANRM-D)

AUTHOR
Petzold, Linda R., (LLNL)

DESCRIPTION
C----------------------------------------------------------------------- THIS FUNCTION ROUTINE COMPUTES THE WEIGHTED ROOT-MEAN-SQUARE NORM OF THE VECTOR OF LENGTH NEQ CONTAINED IN THE ARRAY V,WITH WEIGHTS CONTAINED IN THE ARRAY WT OF LENGTH NEQ. DDANRM=SQRT((1/NEQ)*SUM(V(I)/WT(I))**2) C-----------------------------------------------------------------------

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
830315 DATE WRITTEN
901009 Finished conversion to SLATEC 4.0 format (F.N.Fritsch)
901019 Merged changes made by C. Ulrich with SLATEC 4.0 format.
901026 Added explicit declarations for all variables and minor cosmetic changes to prologue. (FNF)